oracle.pgx.api

## Class Property<ID extends Comparable<ID>,K extends PgxEntity<ID>,V extends Comparable<V>>

- java.lang.Object
- - oracle.pgx.api.Destroyable
  - - oracle.pgx.api.PgxManagedObject
    - - oracle.pgx.api.Property<ID,K,V>

- Type Parameters:
    `ID` - the identifier type of this property's entity (node or edge `IdType`)
    `K` - the type of this property's entity (node or edge, `PgxEntity`)
    `V` - the type of this property (see `PropertyType`)
  All Implemented Interfaces:
    AutoCloseable
  Direct Known Subclasses:
    EdgeProperty, VertexProperty

      public abstract class Property<ID extends Comparable<ID>,K extends PgxEntity<ID>,V extends Comparable<V>>
      extends PgxManagedObject

  A property of a `PgxGraph`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property<ID,K,V>` | `clone()` Blocking version of `cloneAsync()`.
    `Property<ID,K,V>` | `clone(String newPropertyName)` Blocking version of `cloneAsync()`.
    `PgxFuture<? extends Property<ID,K,V>>` | `cloneAsync()` Create a copy of this property. Convenience method for `cloneAsync(String)` passing newPropertyName as `null`
    `PgxFuture<? extends Property<ID,K,V>>` | `cloneAsync(String newPropertyName)` Create a copy of this property.
    `void` | `fill(V value)` Blocking version of `#fillAsync()`.
    `PgxFuture<Void>` | `fillAsync(V value)` Fill this property with a given value.
    `V` | `get(ID id)` Blocking version of `#getAsync()`.
    `V` | `get(K key)` Blocking version of `#getAsync()`.
    `PgxFuture<V>` | `getAsync(ID id)` Gets the property value.
    `PgxFuture<V>` | `getAsync(K key)` Gets the property value.
    `Iterable<Map.Entry<K,V>>` | `getBottomKValues(int k)` Blocking version of `#getBottomKValuesAsync()`.
    `PgxFuture<Iterable<Map.Entry<K,V>>>` | `getBottomKValuesAsync(int k)` Gets the bottom k vertex/edge value pairs according to their value.
    `EntityType` | `getEntityType()`
    `PgxGraph` | `getGraph()`
    `String` | `getName()`
    `Iterable<Map.Entry<K,V>>` | `getTopKValues(int k)` Blocking version of `#getTopKValuesAsync()`.
    `PgxFuture<Iterable<Map.Entry<K,V>>>` | `getTopKValuesAsync(int k)` Gets the top k vertex/edge value pairs according to their value.
    `PropertyType` | `getType()` Gets the PropertyType.
    `Iterable<Map.Entry<K,V>>` | `getValues()` Blocking version of `getValuesAsync()`.
    `PgxFuture<Iterable<Map.Entry<K,V>>>` | `getValuesAsync()` Gets the values.
    `boolean` | `isTransient()`
    `void` | `set(K key, V value)` Blocking version of `#setAsync()`.
    `PgxFuture<Void>` | `setAsync(K key, V value)`
    `void` | `setValues(Map<K,V> values)` Blocking version of `#setValuesAsync()`.
    `void` | `setValues(Map<K,V> values, V defaultValue)` Blocking version of `#setValuesAsync()`.
    `PgxFuture<Void>` | `setValuesAsync(Map<K,V> values)`
    `PgxFuture<Void>` | `setValuesAsync(Map<K,V> values, V defaultValue)` Sets the values of a property.
    `long` | `size()` Blocking version of `sizeAsync()`.
    `PgxFuture<Long>` | `sizeAsync()` Size.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.api.PgxManagedObject

      `equals, hashCode`

    - ### Methods inherited from class oracle.pgx.api.Destroyable

      `close, destroy, destroyAsync`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### clone

          @Generated(value="src/python/synchronize.py")
          public Property<ID,K,V> clone()

      Blocking version of `cloneAsync()`. Calls `cloneAsync()` and waits for the returned `PgxFuture` to complete.
      Overrides:
        `clone` in class `Object`
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### clone

          @Generated(value="src/python/synchronize.py")
          public Property<ID,K,V> clone(String newPropertyName)
                                                                                                    throws ExecutionException,
                                                                                                           InterruptedException

      Blocking version of `cloneAsync()`. Calls `cloneAsync()` and waits for the returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### cloneAsync

          public PgxFuture<? extends Property<ID,K,V>> cloneAsync()

      Create a copy of this property.
      Convenience method for `cloneAsync(String)` passing newPropertyName as `null`
      Returns:
        property result

    - #### cloneAsync

          public PgxFuture<? extends Property<ID,K,V>> cloneAsync(String newPropertyName)

      Create a copy of this property.
      Parameters:
        `newPropertyName` - name of copy to be created. If `null`, guaranteed unique name will be generated.
      Returns:
        property result

    - #### fill

          @Generated(value="src/python/synchronize.py")
          public void fill(V value)
                    throws ExecutionException,
                           InterruptedException

      Blocking version of `#fillAsync()`. Calls `#fillAsync()` and waits for the returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### fillAsync

          public PgxFuture<Void> fillAsync(V value)

      Fill this property with a given value.
      Parameters:
        `value` - the value

    - #### get

          @Generated(value="src/python/synchronize.py")
          public V get(ID id)
                                      throws ExecutionException,
                                             InterruptedException

      Blocking version of `#getAsync()`. Calls `#getAsync()` and waits for the returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### get

          @Generated(value="src/python/synchronize.py")
          public V get(K key)
                                      throws ExecutionException,
                                             InterruptedException

      Blocking version of `#getAsync()`. Calls `#getAsync()` and waits for the returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### getAsync

          public PgxFuture<V> getAsync(ID id)

      Gets the property value.
      Parameters:
        `id` - the id of the property
      Returns:
        property value

    - #### getAsync

          public PgxFuture<V> getAsync(K key)

      Gets the property value.
      Parameters:
        `key` - the key of the property
      Returns:
        property value

    - #### getBottomKValues

          @Generated(value="src/python/synchronize.py")
          public Iterable<Map.Entry<K,V>> getBottomKValues(int k)
                                                                                                throws ExecutionException,
                                                                                                       InterruptedException

      Blocking version of `#getBottomKValuesAsync()`. Calls `#getBottomKValuesAsync()` and waits for returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### getBottomKValuesAsync

          public PgxFuture<Iterable<Map.Entry<K,V>>> getBottomKValuesAsync(int k)

      Gets the bottom k vertex/edge value pairs according to their value.
      Parameters:
        `k` - how many bottom values to retrieve, must be in the range between 0 and number of nodes/edges (inclusive)
      Returns:
        iterable over the values

    - #### getEntityType

          public EntityType getEntityType()

      Returns:
        the entity type of this property

    - #### getGraph

          public PgxGraph getGraph()

      Returns:
        the graph this property belongs to

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `PgxManagedObject`
      Returns:
        the name of this property

    - #### getTopKValues

          @Generated(value="src/python/synchronize.py")
          public Iterable<Map.Entry<K,V>> getTopKValues(int k)
                                                                                             throws ExecutionException,
                                                                                                    InterruptedException

      Blocking version of `#getTopKValuesAsync()`. Calls `#getTopKValuesAsync()` and waits for the returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### getTopKValuesAsync

          public PgxFuture<Iterable<Map.Entry<K,V>>> getTopKValuesAsync(int k)

      Gets the top k vertex/edge value pairs according to their value.
      Parameters:
        `k` - how many top values to retrieve, must be in the range between 0 and number of nodes/edges (inclusive)
      Returns:
        iterable over the values

    - #### getType

          public PropertyType getType()

      Gets the PropertyType.
      Returns:
        the propertytype

    - #### getValues

          @Generated(value="src/python/synchronize.py")
          public Iterable<Map.Entry<K,V>> getValues()
                                                                                         throws ExecutionException,
                                                                                                InterruptedException

      Blocking version of `getValuesAsync()`. Calls `getValuesAsync()` and waits for the returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### getValuesAsync

          public PgxFuture<Iterable<Map.Entry<K,V>>> getValuesAsync()

      Gets the values.
      Returns:
        an iterable of the values

    - #### isTransient

          public boolean isTransient()

      Returns:
        `true` if this property is transient (session-bound, private), `false` otherwise.

    - #### set

          @Generated(value="src/python/synchronize.py")
          public void set(K key,
                                V value)
                   throws ExecutionException,
                          InterruptedException

      Blocking version of `#setAsync()`. Calls `#setAsync()` and waits for the returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### setAsync

          public PgxFuture<Void> setAsync(K key,
                                 V value)

    - #### setValues

          @Generated(value="src/python/synchronize.py")
          public void setValues(Map<K,V> values)
                         throws ExecutionException,
                                InterruptedException

      Blocking version of `#setValuesAsync()`. Calls `#setValuesAsync()` and waits for the returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### setValues

          @Generated(value="src/python/synchronize.py")
          public void setValues(Map<K,V> values,
                                      V defaultValue)
                         throws ExecutionException,
                                InterruptedException

      Blocking version of `#setValuesAsync()`. Calls `#setValuesAsync()` and waits for the returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### setValuesAsync

          public PgxFuture<Void> setValuesAsync(Map<K,V> values)

    - #### setValuesAsync

          public PgxFuture<Void> setValuesAsync(Map<K,V> values,
                                       V defaultValue)

      Sets the values of a property.
      Parameters:
        `values` - the values to set
        `defaultValue` - default value if one of the values fails to be put

    - #### size

          @Generated(value="src/python/synchronize.py")
          public long size()
                    throws ExecutionException,
                           InterruptedException

      Blocking version of `sizeAsync()`. Calls `sizeAsync()` and waits for the returned `PgxFuture` to complete.
      Throws:
        `InterruptedException` - if the caller thread gets interrupted while waiting for completion.
        `ExecutionException` - if any exception occurred during asynchronous execution. The actual exception will be nested.

    - #### sizeAsync

          public PgxFuture<Long> sizeAsync()

      Size.
      Returns:
        the size of the property.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `PgxManagedObject`

Copyright © 2015. All rights reserved.